KCrashBookmarkImporter Class Reference

`#include <kbookmarkimporter_crash.h>`

Inherits QObject.

## Signals

void | newBookmark (const QString &text, const QCString &url, const QString &additionalInfo)
void | newFolder (const QString &text, bool open, const QString &additionalInfo)
void | newSeparator ()
void | endFolder ()

## Public Member Functions

| KCrashBookmarkImporter (const QString &fileName)
void | parseCrashBookmarks (bool del=true)

## Static Public Member Functions

static QString | crashBookmarksDir ()
static QStringList | getCrashLogs ()

## Protected Member Functions

void | parseCrashLog (QString filename, bool del)

## Protected Attributes

QString | m_fileName

## Detailed Description

A class for importing all crash sessions as bookmarks.

Deprecated:

Definition at line 37 of file kbookmarkimporter_crash.h.

The documentation for this class was generated from the following files:

- kbookmarkimporter_crash.h
- kbookmarkimporter_crash.cc

KDE Home | KDE Accessibility Home | Description of Access Keys